=== debian/changelog ===
rockdodger (0.9.2-1) unstable; urgency=low

  * New upstream release, removed some Debian patches.
  * Replaced manual page.
  * Added .desktop file.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 31 Dec 2013 09:08:13 +0100

rockdodger (0.9.1-3) unstable; urgency=low

  * Fixed file permissions.
  * Fixed watch file.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 30 Dec 2013 16:48:39 +0100

rockdodger (0.9.1-2) unstable; urgency=low

  * Fixed build flags.
  * Fixed watch file.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 28 Dec 2013 10:35:04 +0100

rockdodger (0.9.1-1) unstable; urgency=low

  * New maintainer, closes: #731793.
  * New upstream version, closes: #698565.
  * New upstream hosting, closes: #696340.
  * Changed source format to v3.0 (quilt), removed debhelper.
  * Updated standards version and watch file.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 27 Dec 2013 20:19:22 +0100

rockdodger (0.6.0a-7) unstable; urgency=low

  * Makefile: Link with -lm.  Closes: #556324.

 -- Bart Martens <bartm@debian.org>  Thu, 11 Mar 2010 18:38:37 +0100

rockdodger (0.6.0a-6) unstable; urgency=low

  * debian/menu: Updated to newest menu policy.

 -- Bart Martens <bartm@debian.org>  Sat, 24 Nov 2007 23:09:58 +0100

rockdodger (0.6.0a-5) unstable; urgency=low

  * New maintainer.  Closes: #402227.
  * debian/*: Use cdbs, newest debhelper, newest standards version.
  * debian/copyright: Updated.
  * Makefile: Replaced hard-coded date by "date --rfc-3339=date".
  * debian/watch: Added.

 -- Bart Martens <bartm@knars.be>  Sat,  9 Dec 2006 11:50:53 +0100

rockdodger (0.6.0a-4) unstable; urgency=low

  * Fix FTBFS on gcc 4.0 due to use of struct before declaration.
    (closes: #300291)
  * Use debhelper V4.
  * React on noopt instead of debug in DEB_BUILD_OPTIONS to disable
    optimizations.
  * Quote remaining strings in menu file.
  * Convert icon to 32x32 XPM with transparency.
  * Bump Standards-Version to 3.6.2.
  * Change chown root.games to chown root:games in postinst.

 -- Andreas Bombe <aeb@debian.org>  Tue, 01 Nov 2005 21:03:17 +0100

rockdodger (0.6.0a-3) unstable; urgency=low

  * List keyboard controls in the man page exhaustively and in a separate
    table. (closes: #291862)

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 Feb 2005 17:06:42 +0100

rockdodger (0.6.0a-2) unstable; urgency=low

  * Show icon in menu entry (closes: #275634).
  * Fix possible buffer overflow from contents of HOME environment variable
    (closes: #278878).

 -- Andreas Bombe <aeb@debian.org>  Mon, 22 Nov 2004 04:12:26 +0100

rockdodger (0.6.0a-1) unstable; urgency=low

  * New upstream release.
  * Always build with debugging symbols, let dh_strip deal with stripping
    it depending on DEB_BUILD_OPTIONS.
  * Change upstream Makefile to append "-debian" to version number and
    #define release date as compilation date.
  * Update man page for new options.

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Dec 2002 20:46:05 +0100

rockdodger (0.6-2) unstable; urgency=low

  * Fix parsing of highscore file with empty names (closes: #155709).
  * Fix help to show -w option (closes: #155844).

 -- Andreas Bombe <aeb@debian.org>  Fri,  9 Aug 2002 18:36:03 +0200

rockdodger (0.6-1) unstable; urgency=low

  * New upstream release.
  * Do not expect /var/games to exist (closes: #155322).
  * Handle DEB_BUILD_OPTIONS better on building.

 -- Andreas Bombe <aeb@debian.org>  Mon,  5 Aug 2002 18:58:19 +0200

rockdodger (0.5.1-1) unstable; urgency=low

  * Packaged Rock Dodger (closes: #153863)

 -- Andreas Bombe <aeb@debian.org>  Wed, 24 Jul 2002 16:13:09 +0200
