=== debian/control ===
Source: rockdodger
Section: games
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/rockdodger/

Package: rockdodger
Architecture: any
Depends: ${shlibs:Depends}
Description: Fly through an asteroid field avoiding rocks and greeblies
 Rock Dodger is a horizontal scrolling action game where you have to
 navigate your spaceship through a stream of rocks flying in from the
 right. Your only help is a laser to destroy rocks and a limited amount
 of shield. This game had once upon in time the 4th place in NoStarch
 game contest.
