=== debian/rules ===
#!/usr/bin/make -f

testdir  = test -f rockdodger_globals.c && test -f debian/rules
testroot = test x`whoami` = xroot

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGS
MOREOPTS = $(CPPFLAGS) $(CFLAGS) -Wall -Werror
export MOREOPTS

clean:
	$(testdir)
	rm -f build-stamp debian/files debian/substvars
	rm -rf debian/tmp
	$(MAKE) clean

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	$(testdir)
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
	touch $@

binary: binary-arch binary-indep

binary-arch: build
	$(testdir)
	$(testroot)
	rm -rf debian/tmp

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .comment -R .note debian/tmp/usr/games/rockdodger
endif
	rm debian/tmp/var/games/rockdodger.scores

	install -p -m 0644 debian/icon32x32.xpm debian/tmp/usr/share/rockdodger

	install -D -p -m 0644 debian/menu debian/tmp/usr/share/menu/rockdodger
	install -D -p -m 0644 rockdodger.desktop debian/tmp/usr/share/applications/rockdodger.desktop

	install -D -p -m 0644 debian/changelog debian/tmp/usr/share/doc/rockdodger/changelog.Debian
	gzip -9 debian/tmp/usr/share/doc/rockdodger/changelog.Debian
	install -p -m 0644 debian/copyright debian/tmp/usr/share/doc/rockdodger

	install -d -m 0755 debian/tmp/DEBIAN
	install -p -m 0644 debian/control debian/tmp/DEBIAN
	install -p -m 0755 debian/postinst debian/postrm debian/tmp/DEBIAN

	cd debian/tmp && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums

	chown -R root:root debian/tmp
	chmod -R go=u-w debian/tmp
	chown root:games debian/tmp/usr/games/rockdodger
	chmod 2755 debian/tmp/usr/games/rockdodger

	dpkg-shlibdeps debian/tmp/usr/games/rockdodger
	dpkg-gencontrol -isp -prockdodger
	dpkg --build debian/tmp ..

binary-indep:

.PHONY: clean build build-arch build-indep binary binary-arch binary-indep
