=== debian/watch ===
version=3
http://code.google.com/p/rockdodger/downloads/list .*/rockdodger-(\d(?:\.\d|\w)*)\.(?:pkg\.)?(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
