## rockdodger 1.0.0

=== Makefile ===
--- 
+++ 
@@ -14,14 +14,14 @@
 
 #   You should have received a copy of the GNU General Public License
 #   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
 profile=0
 debug=0
 
-VMAJOR=0
-VMINOR=9
-VRELEASE=2
+VMAJOR=1
+VMINOR=0
+VRELEASE=0
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
 
@@ -51,9 +51,9 @@
 OBJECTS=SFont.o guru_meditation.o signal_handling.o random_gen.o datafun.o sound.o input_functions.o scroller.o display_subsystem.o \
 	game_state.o highscore_io.o sprite.o \
 	blubats.o greeblies.o powerup.o rocks.o spacedots.o ship.o engine_exhaust.o laser.o \
-	mood_item.o sparkles.o \
-	u-iff.o \
-	rockdodger_globals.o intro.o main.o
+	mood_item.o sparkles.o yellifish.o infoscreen.o \
+	u-iff.o sekrit_lab.o\
+	globals.o intro.o main.o
 MANPAGE=rockdodger.6
 
 ifeq ($(profile),1)
