=== debian/changelog ===
rockdodger (1.0.0-1) unstable; urgency=low

  * New upstream release, closes: #766683.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 30 Oct 2014 18:23:34 +0100
