=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://code.google.com/p/rockdodger/
 
 Package: rockdodger
