=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-testdir  = test -f rockdodger_globals.c && test -f debian/rules
+testdir  = test -f rocks.c && test -f debian/rules
 testroot = test x`whoami` = xroot
 
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
