## rockdodger 1.0.2

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 VMAJOR=1
 VMINOR=0
-VRELEASE=0
+VRELEASE=2
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
