=== debian/changelog ===
rockdodger (1.0.2-2) unstable; urgency=low

  * Fix from upstream author for in-game error, closes: #862838.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 30 May 2017 05:19:08 +0200

rockdodger (1.0.2-1) unstable; urgency=low

  * New upstream release, new upstream download URL, closes: #795130.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 11 Aug 2015 19:10:56 +0200

rockdodger (1.0.0-2) unstable; urgency=low

  * Fixed reproducible builds, closes: #778205, thanks to Chris Lamb.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Jun 2015 18:58:56 +0200
