=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	install -D -p -m 0644 rockdodger.desktop debian/tmp/usr/share/applications/rockdodger.desktop
 
 	install -D -p -m 0644 debian/changelog debian/tmp/usr/share/doc/rockdodger/changelog.Debian
-	gzip -9 debian/tmp/usr/share/doc/rockdodger/changelog.Debian
+	gzip -9n debian/tmp/usr/share/doc/rockdodger/changelog.Debian
 	install -p -m 0644 debian/copyright debian/tmp/usr/share/doc/rockdodger
 
 	install -d -m 0755 debian/tmp/DEBIAN
