## rockdodger 1.1.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 debug=0
 
 VMAJOR=1
-VMINOR=0
+VMINOR=1
 VRELEASE=2
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
@@ -39,7 +39,7 @@
 gamesdir = $(localstatedir)/games
 
 NEWD=$(PACKAGENAME)-$(VERSION)
-COMPILEDATE=$(shell date '+%Y-%m-%d')
+COMPILEDATE=$(shell date --date=@$${SOURCE_DATE_EPOCH:-$$(date +%s)} '+%Y-%m-%d')
 TARPKGNAME=$(NEWD).pkg.tgz
 OPTIONS=-DVERSION=\"$(VERSION)\" -DCOMPILEDATE=\"$(COMPILEDATE)\" -Wall `$(SDL_CONFIG) --cflags`
 EXENAME=rockdodger
