=== debian/changelog ===
rockdodger (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 21 Jul 2018 20:48:06 +0200

rockdodger (1.0.2-3) unstable; urgency=low

  * Fixed FTBFS, closes: #897847.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 21 Jul 2018 20:35:17 +0200
