=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
-Standards-Version: 3.9.6
-Homepage: https://code.google.com/p/rockdodger/
+Standards-Version: 4.1.5
+Homepage: https://bitbucket.org/rpkrawczyk/rockdodger
 
 Package: rockdodger
 Architecture: any
