## rockdodger 1.1.3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 VMAJOR=1
 VMINOR=1
-VRELEASE=2
+VRELEASE=3
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
 
@@ -78,7 +78,7 @@
 ifeq ($(profile),1)
 	$(CC) -pg -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
 else
-	$(CC) -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
+	$(CC) $(LDFLAGS) -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
 endif
 
 clean:
@@ -107,7 +107,7 @@
 	-chgrp games $(gamesdir)/rockdodger.scores
 	chmod g+rw $(gamesdir)/rockdodger.scores
 	mkdir -p $(mandir)/man6
-	gzip  < $(MANPAGE) > $(mandir)/man6/$(MANPAGE).gz
+	gzip -9n < $(MANPAGE) > $(mandir)/man6/$(MANPAGE).gz
 
 uninstall:
 	rm -f $(gamesdir)/rockdodger.scores
