=== debian/changelog ===
rockdodger (1.1.3-2) unstable; urgency=low

  * Made build reproducible, fixed DEBIAN/md5sums.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 16 Feb 2019 18:35:41 +0100

rockdodger (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Removed patches.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 15 Feb 2019 11:08:30 +0100
