=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip -R .comment -R .note debian/tmp/usr/games/rockdodger
+	strip --strip-unneeded -R .comment -R .note debian/tmp/usr/games/rockdodger
 endif
 	rm debian/tmp/var/games/rockdodger.scores
 
@@ -53,7 +53,7 @@
 	install -p -m 0644 debian/control debian/tmp/DEBIAN
 	install -p -m 0755 debian/postinst debian/postrm debian/tmp/DEBIAN
 
-	cd debian/tmp && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
+	cd debian/tmp && find * -type f ! -regex "^DEBIAN/.*" -print0 | LC_ALL=C sort -z | xargs -0r md5sum > DEBIAN/md5sums
 
 	chown -R root:root debian/tmp
 	chmod -R go=u-w debian/tmp
@@ -61,7 +61,7 @@
 	chmod 2755 debian/tmp/usr/games/rockdodger
 
 	dpkg-shlibdeps debian/tmp/usr/games/rockdodger
-	dpkg-gencontrol -isp -prockdodger
+	dpkg-gencontrol -prockdodger
 	dpkg --build debian/tmp ..
 
 binary-indep:
