## rockdodger 1.1.4

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 VMAJOR=1
 VMINOR=1
-VRELEASE=3
+VRELEASE=4
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
