=== data/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 INSTALL = /usr/bin/install
 DATAFILES=$(wildcard *.bmp) $(wildcard *.png) $(wildcard *.aiff) $(wildcard *.wav) $(wildcard *.mod) $(wildcard iff.*)
-IMAGES = $(wildcard ./images/*.png) $(wildcard ./images/*.bmp) $(wildcard ./images/b*.xpm) $(wildcard ./images/*.ilbm)
+IMAGES = $(wildcard ./images/*.png) $(wildcard ./images/*.bmp) $(wildcard ./images/*.xpm) $(wildcard ./images/*.ilbm)
 
 all:
 	@echo "prefix = $(prefix)"
