=== debian/changelog ===
rockdodger (1.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089420)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 12:21:27 +0000

rockdodger (1.1.4-3) unstable; urgency=low

  * rebuild against current sid

 -- Martin A. Godisch <godisch@debian.org>  Sun, 17 Mar 2024 07:49:12 +0100

rockdodger (1.1.4-2) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:52:40 +0200

rockdodger (1.1.4-1) unstable; urgency=medium

  * Fix FTCBFS: Let dpkg's buildtools.mk supply tools, closes: #923614.
    Thanks to Helmut Grohne.
  * New upstream relase, closes: #957767 (build using gcc-10).
    Thanks to Robert Krawczyk.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 06:31:00 +0200
