=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
 Homepage: https://bitbucket.org/rpkrawczyk/rockdodger
