=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,11 @@
 #!/usr/bin/make -f
+
+-include /usr/share/dpkg/buildtools.mk
 
 testdir  = test -f rocks.c && test -f debian/rules
 testroot = test x`whoami` = xroot
 
+STRIP ?= strip
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
@@ -24,7 +27,7 @@
 
 build-stamp:
 	$(testdir)
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
+	$(MAKE) 'CC=$(CC)' DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
 	touch $@
 
 binary: binary-arch binary-indep
@@ -36,7 +39,7 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip --strip-unneeded -R .comment -R .note debian/tmp/usr/games/rockdodger
+	$(STRIP) --strip-unneeded -R .comment -R .note debian/tmp/usr/games/rockdodger
 endif
 	rm debian/tmp/var/games/rockdodger.scores
